Bug 971942 - (CVE-2016-3119) VUL-0: CVE-2016-3119: krb5: null pointer dereference in kadmin
(CVE-2016-3119)
VUL-0: CVE-2016-3119: krb5: null pointer dereference in kadmin
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Howard Guo
Security Team bot
https://smash.suse.de/issue/163679/
CVSSv2:RedHat:CVE-2016-3119:2.1:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-21 12:13 UTC by Victor Pereira
Modified: 2016-08-30 14:22 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2016-03-21 12:13:47 UTC
rh#1319616

It was reported that in all versions of MIT krb5, an authenticated attacker with permission to modify a principal entry can cause kadmind to dereference a null pointer by supplying an empty DB argument to the modify_principal command, if kadmind is configured to use the LDAP KDB module.

Upstream patch:

https://github.com/krb5/krb5/commit/08c642c09c38a9c6454ab43a9b53b2a89b9eef99

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1319616
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-3119
Comment 1 Swamp Workflow Management 2016-03-21 23:00:16 UTC
bugbot adjusting priority
Comment 2 Bernhard Wiedemann 2016-03-23 14:00:11 UTC
This is an autogenerated message for OBS integration:
This bug (971942) was mentioned in
https://build.opensuse.org/request/show/378714 Factory / krb5
Comment 5 Swamp Workflow Management 2016-04-08 17:10:16 UTC
SUSE-SU-2016:0994-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 971942
CVE References: CVE-2016-3119
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    krb5-1.12.1-28.1
SUSE Linux Enterprise Software Development Kit 12 (src):    krb5-1.12.1-28.1
SUSE Linux Enterprise Server 12-SP1 (src):    krb5-1.12.1-28.1
SUSE Linux Enterprise Server 12 (src):    krb5-1.12.1-28.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    krb5-1.12.1-28.1
SUSE Linux Enterprise Desktop 12 (src):    krb5-1.12.1-28.1
Comment 6 Swamp Workflow Management 2016-04-17 15:11:33 UTC
openSUSE-SU-2016:1072-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 971942
CVE References: CVE-2016-3119
Sources used:
openSUSE Leap 42.1 (src):    krb5-1.12.1-30.1, krb5-mini-1.12.1-30.1
Comment 7 Swamp Workflow Management 2016-04-18 11:08:21 UTC
SUSE-SU-2016:1088-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 971942
CVE References: CVE-2016-3119
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    krb5-1.6.3-133.49.109.1
SUSE Linux Enterprise Server 11-SP4 (src):    krb5-1.6.3-133.49.109.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    krb5-1.6.3-133.49.109.1
Comment 8 Marcus Meissner 2016-05-25 15:36:52 UTC
done